DIALTEST(8C)

NAME
dialtest - HylaFAX dial string processing rules test program

SYNOPSIS
/usr/sbin/dialtest [ options ] dialrules

DESCRIPTION
dialtest is an interactive program for the testing and development of dial string processing rules used by HylaFAX. dialtest reads the file of rules specified on the command line and then prompts for a dial string. For each string typed in, dialtest prints the result of applying the canonicalization and dial-string preparation rule sets. A rule set whose name is setname can be specified by typing ``setname(string)''; for example, ``CanonicalName(+1.415.965.7824)''.

Note that dialtest reads the rules file only when it is initially started up. This means that dialtest must be restarted for it to apply changes to a rules file.

OPTIONS

-a code
    Use code as the value of AreaCode in the rules file. The default area code is ``415''.

-c code
    Use code as the value of CountryCode in the rules file. The default country code is ``1''.

-i prefix
    Use prefix as the value of InternationalPrefix in the rules file. The default international dialing prefix is ``011''.

-l prefix
    Use prefix as the value of LongDistancePrefix in the rules file. The default long distance dialing prefix is ``1''.

-q  Be quiet, suppressing most all output except for the actual results. This is useful for using dialtest in an automated fashion.

-v  Print each input line before displaying the results of applying the dial string rules to the input string. This can be useful, for example, in shell scripts.

SEE ALSO
dialrules(5F)